﻿/* Custom*/
.form-control.input-validation-error {
    border-color: #dc3545;
    padding-right: calc(1.5em + 0.75rem);
    /*    background-image: url("icons/notifications/cross.svg");
*/ background-repeat: no-repeat;
    /*    background-position: right calc(0.675em + 0.1875rem) center;
*/
    background-position: right .75rem center,center right 2.25rem;
    background-size: calc(0.75em + 0.375rem) calc(0.75em + 0.375rem);
}

    .form-control.input-validation-error a {
        border-color: #dc3545;
        padding-right: calc(1.5em + 0.75rem);
        /*    background-image: url("icons/notifications/cross.svg");
*/ background-repeat: no-repeat;
        /*    background-position: right calc(0.675em + 0.1875rem) center;
*/
        background-position: right .75rem center,center right 2.25rem;
        background-size: calc(0.75em + 0.375rem) calc(0.75em + 0.375rem);
    }


.form-control.valid {
    /*    border-color: #28a745;
*/ border-color: #272727;
    padding-right: calc(1.5em + 0.75rem);
    /*    background-image: url("icons/notifications/accept.svg");
*/ background-repeat: no-repeat;
    /*    background-position: right calc(0.675em + 0.1875rem) center;
*/
    background-position: right .75rem center,center right 2.25rem;
    background-size: calc(0.75em + 0.375rem) calc(0.75em + 0.375rem);
}



.form-select.input-validation-error {
    border-color: #dc3545;
    padding-right: calc(1.5em + 0.75rem);
    background-image: url("icons/notifications/cross.svg");
    background-repeat: no-repeat;
    background-position: right .75rem center,center right 2.25rem;
    background-size: calc(0.75em + 0.375rem) calc(0.75em + 0.375rem);
}

.form-select.valid {
    border-color: #28a745;
    padding-right: calc(1.5em + 0.75rem);
    background-image: url("icons/notifications/accept.svg");
    background-repeat: no-repeat;
    background-position: right .75rem center,center right 2.25rem;
    background-size: calc(0.75em + 0.375rem) calc(0.75em + 0.375rem);
}

/*loader*/
.loaderbody {
    width: 100%;
    height: 100%;
    left: 0px;
    top: 0px;
    position: absolute;
    background-color: rgba(128,128,128,0.2);
    z-index: 2147483647;
}

.loader {
    border: 16px solid #f3f3f3; /* Light grey */
    border-top: 16px solid #3498db; /* Blue */
    border-radius: 50%;
    width: 80px;
    height: 80px;
    animation: spin 2s linear infinite;
    position: fixed;
    top: 45%;
    left: 40%;
}

.hide {
    display: none;
}

/* Tab contanier*/
.tab-content > .sk-spinner {
    display: none;
}

.tab-content.sk-loading {
    position: relative;
}

    .tab-content.sk-loading:after {
        content: '';
        background-color: rgba(255,255,255,0.7);
        position: absolute;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
    }

    .tab-content.sk-loading > .sk-spinner {
        display: block;
        position: absolute;
        top: 40%;
        left: 0;
        right: 0;
        z-index: 2000;
    }

/* Tab contanier*/
/* Tab contanier*/
.spn > .sk-spinner {
    display: none;
}

.spn.sk-loading {
    position: relative;
}

    .spn.sk-loading:after {
        content: '';
        background-color: rgba(255,255,255,0.7);
        position: absolute;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
    }

    .spn.sk-loading > .sk-spinner {
        display: block;
        position: absolute;
        top: 40%;
        left: 0;
        right: 0;
        z-index: 2000;
    }

/* Tab contanier*/

/*clonya*/

button.clone, button.delete {
    max-height: calc(2.25rem - 3px);
}

.progress-bar-success {
    background-color: #75c9ff !important;
}


/*modal*/
.modal-header {
    padding: 0.5rem !important;
}

.modal-lg {
    max-width: 60% !important;
}



/*checkbox*/
.custom-checkbox {
    position: relative;
    display: inline-block;
    width: 24px;
    height: 24px;
    cursor: pointer;
}

    .custom-checkbox input {
        position: absolute;
        opacity: 0;
        cursor: pointer;
        height: 0;
        width: 0;
    }

.checkmark {
    position: absolute;
    top: 0;
    left: 0;
    height: 24px;
    width: 24px;
    background-color: #ccc;
    border-radius: 4px;
}

.custom-checkbox:hover input ~ .checkmark {
    background-color: #b3b3b3;
}

.custom-checkbox input:checked ~ .checkmark {
    background-color: #2196F3;
}

.checkmark:after {
    content: "";
    position: absolute;
    display: none;
}

.custom-checkbox input:checked ~ .checkmark:after {
    display: block;
}

.custom-checkbox .checkmark:after {
    left: 8px;
    top: 4px;
    width: 8px;
    height: 16px;
    border: solid white;
    border-width: 0 4px 4px 0;
    transform: rotate(45deg);
}